package textures;

public class ModelTexture {

	private int textureID;
	
	// Reflectivity of the light on the surface of the texture
	private float reflectivity = 0;
	// Distance of whitch the camera must to be to receive the the reflection
	private float shineDamper = 1;
	
	public ModelTexture(int id) {
		this.textureID = id;
	}

	public int getTexturedID() {
		return textureID;
	}

	public float getReflectivity() {
		return reflectivity;
	}

	public void setReflectivity(float reflectivity) {
		this.reflectivity = reflectivity;
	}

	public float getShineDamper() {
		return shineDamper;
	}

	public void setShineDamper(float shineDamper) {
		this.shineDamper = shineDamper;
	}
	
}
